Bug 249401 - Unable to open Software Updater
Summary: Unable to open Software Updater
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 248818 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-24 13:28 UTC by roger benham
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 01:05:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description roger benham 2007-07-24 13:28:48 UTC
Description of problem:
Component: Software Updater
Summary: TB6b5e0e87 config.py:661:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pup", line 659, in ?
    main()
  File "/usr/sbin/pup", line 652, in main
    pup = PackageUpdater()
  File "/usr/sbin/pup", line 90, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in 
__init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 132, in 
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 598, in 
readMainConfig
    yumvars['releasever'] = _getsysver(startupconf.installroot, 
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 661, in 
_getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x9e71b4c>
distroverpkg: redhat-release



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 roger benham 2007-07-24 13:31:58 UTC
When I reboot, I can update the software but the present packages contain a 
firefox update which I have to delete from the list because I'm told two 
things are missing ... gecko being one. Damien ? maybe the other ... cannot 
remember.
When I try to run the updater again I get the above message.

Comment 2 Peter van Egdom 2007-11-14 19:22:21 UTC
Thank you for the report. However this has been reported to the incorrect
component. Reassigning from "up2date" to "pirut". Feel free to report any
further bugs you find to our bug tracking system.

Comment 3 Jeremy Katz 2007-11-16 01:05:29 UTC
This is fixed with current updates to FC6

Comment 4 Jeremy Katz 2007-11-16 01:05:44 UTC
*** Bug 248818 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.